Subject: Re: ENUM Privacy (was RE: [Enum] User ENUM vs Operator ENUM)

From: Mike Hammer <[email-masked]>
Date: Fri, 25 Jun 2004 14:59:21 -0400

At 07:16 PM 6/25/2004 +0100, Jim Reid wrote:
>>>>> "Mike" == Mike Hammer <mhammer at cisco.com> writes:
    Mike> Jim, Could you explain where the personal information is in
    Mike> the sip address you cite?
I didn't cite any sip address.
Pardon, that Jason cited:
sip:12345678909 at bigtelco.com

    Mike> It tells you absolutely nothing about who that number is
    Mike> assigned to, or even if it is assigned to someone at all.
That's true. But if the address does identify a living person, it will
be subject to EU Data Protection legislation within EU jurisdiction.
    Mike> If this runs afoul of EU legislation, then that legislation
    Mike> has some serious problems.
Welcome to the real world. :-)
Well, the solution is to fix bad laws, not non-problems.
Mike
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Jeff Williams <[email-masked]>
Date: Fri, 25 Jun 2004 22:41:25 -0400

Mike and all,

> Well, the solution is to fix bad laws, not non-problems.

  Well the populace of the EU doesn't see it's privacy
laws as bad law.  The responsibility of technical organizations
in part is to comply with the will of the people, not the will
of a few small SIG's...

> Mike

Regards,

--
Jeffrey A. Williams
Spokesman for INEGroup LLA. - (Over 134k members/stakeholders strong!)
"Be precise in the use of words and expect precision from others" -
    Pierre Abelard

"If the probability be called P; the injury, L; and the burden, B;
liability depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
CSO/DIR. Internet Network Eng. SR. Eng. Network data security
IDNS. div. of Information Network Eng.  INEG. INC.
E-Mail jwkckid1 at ix.netcom.com
 Registered Email addr with the USPS
Contact Number: 214-244-4827

---

From: Mike Hammer <[email-masked]>
Date: Tue, 29 Jun 2004 17:16:25 -0400

>>>>> "Mike" == Mike Hammer <mhammer at cisco.com> writes:
    Mike> Rather than relying on "joint ventures" to "share or link
    Mike> their private trees" (at which point privacy issues may
    Mike> arise) wouldn't it be better for the public ENUM to provide
    Mike> that linkage?
In an ideal world it would be better, yes. But in the real world, the
answer has to be no. Because a linkage through some public tree
creates even bigger privacy issues. Like publishing on the internet
how to reach an unlisted phone number. Which might also violate the
opt-in principle that most regulators are insisting on for any public
"ENUM-like" tree.
Jim,
I think that limiting the linkage through the public tree solely to an 
indication that an E.164 number can be reached through a particular service 
provider to be a sufficient mitigation of the privacy question, since that 
SP can enforce privacy service for that number.

What I have yet to see on this list is any valid argument my assertion that 
the E.164 number tree is a publicly shared resource that is damaged if 
E.164 number assignment can be made to IP endpoints such that they are not 
universally reachable from the PSTN TDM domain.

I understand the privacy concerns related to "opt-in", but feel that the 
meaning of "opt-in" should be geared toward what information is linked to 
the E.164 number.  I think that having large quantities of E.164 numbers 
turn up missing from the routing infrastructure would effectively mean that 
large incumbent carriers can effectively take ownership of those E.164 
number ranges and force smaller competitors to go through the monopoly, 
conglomeration, confederation, or whatever you want to call it to route 
calls.  That would put them at a distinct competitive disadvantage.

I guess I would sum up my thoughts this way:
   No one should be able to hoard E.164 numbers.
   The use of E.164 numbers should be publicly accountable.
   E.164 numbers should be routable/reachable, even if they are "unlisted".
   E.164 numbers may be reachable only through SPs providing privacy service.
To maintain parallel choices available in the PSTN, it would be good if the 
call originator (who might be conceivable paying for the QoS) could choose 
the long distance "carrier" used to reach the terminating service provider 
network.  But, I am not entirely sure what that would mean in the context 
of ITSPs, ISPs, and current non-regulatory frameworks.  I am absolutely 
sure that making that choice possible so as to avoid the need for any 
regulation would definitely be good.  I'm just hoping that those seeking 
business advantage don't invite unintended consequences.

Mike